function DZFF = fillValDZFF3q1(xi, eta, zeta)

DZFF = zeros(8,1);

t1 = -1.0+xi;
t2 = -1.0+eta;
t4 = t1*t2/8.0;
t5 = 1.0+xi;
t7 = t5*t2/8.0;
t8 = 1.0+eta;
t10 = t5*t8/8.0;
t12 = t1*t8/8.0;
DZFF(1) = -t4;
DZFF(2) = t7;
DZFF(3) = -t10;
DZFF(4) = t12;
DZFF(5) = t4;
DZFF(6) = -t7;
DZFF(7) = t10;
DZFF(8) = -t12;
